Subject: bug#53883: closed (Re: bug#53883: strange conflicts with guix package -m manifest)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 16 Feb 2022 22:07:02 +0000

Your bug report

#53883: python-twice cannot be installed in a profile due to collisions

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53883: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53883
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53883: strange conflicts with guix package -m manifest
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>, Leo Famulari <[email-masked]>
Cc: [email-masked], "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Wed, 16 Feb 2022 23:06:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skriver:

> Hi,
>
> Leo Famulari <[email-masked]> skribis:
>
>> Basically, the python-twine package, as it is now, cannot be installed
>> in a profile.
>>
>> That is because its dependency graph of propagated packages includes
>> different versions of python-cffi, and you cannot install both of these
>> cffi packages alongside each other in a symlink forest (i.e. a profile).
>
> Any idea how this could be addressed?
>
> There are currently 133 dependents of [email-masked] (python-cmarkgfm
> is the only direct user) and 3,807 dependents of [email-masked].  It’d
> be easier if they all depended on 1.14.
>
> Unfortunately we can’t just use 1.14 for python-cmarkgfm:
>
> --8<---------------cut here---------------start------------->8---
> $ guix build python-cmarkgfm --with-input=[email-masked]=[email-masked]
> […]
> ERROR: Could not find a version that satisfies the requirement cffi>=1.15.0 (from versions: none)
> ERROR: No matching distribution found for cffi>=1.15.0
> --8<---------------cut here---------------end--------------->8---
>
> Should we downgrade python-cmarkgfm, or relax its requirements?  Marius,
> WDYT?  :-)

I dug around in the upstream commit history and it appears that the
requirement was only added for Python 3.10 compatibility.  So I relaxed
its requirements in commit f37eb24df5ecb3a14bd42507076854cc979ddecf.

-- 
Thanks,
Marius

Subject: strange conflicts with guix package -m manifest
From: "Dr. Arne Babenhauserheide" <[email-masked]>
To: [email-masked]
Date: Tue, 08 Feb 2022 22:05:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I see strange conflicts when trying to update packages via manifest:

guix package: error: profile contains conflicting entries for python-cffi
guix package: error:   first entry: [email-masked] /gnu/store/fnkn12qv3bw7z3jhdgp2drd0nnn0p433-python-cffi-1.15.0
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]
guix package: error:   second entry: [email-masked] /gnu/store/4zz00w8rqrfazv5lsjajs0g8y04ysa8g-python-cffi-1.14.4
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]

As you can see, both packages are python-twine, and they have
conflicting dependencies.

I attached both my manifest and my channels file.

To reproduce:

    LANG=C guix package -kK --fallback -m ~/fluss-guix.manifest

$ LANG=C guix describe
Generation 377	Feb 07 2022 10:35:27	(current)
  guix c6b407c
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: c6b407c923253ac3e7ce8439b31f52ef94de7846
  flat ece373b
    repository URL: https://github.com/flatwhatson/guix-channel.git
    branch: master
    commit: ece373bcd1e00ef746fb7b104e56ab610cc4af2a

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de